Bug 63212 - unbreak comms/gkermit
Summary: unbreak comms/gkermit
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-02-22 10:20 UTC by Dominic Mitchell
Modified: 2004-02-23 19:24 UTC (History)
0 users

See Also:


Attachments
file.diff (772 bytes, patch)
2004-02-22 10:20 UTC, Dominic Mitchell
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dominic Mitchell 2004-02-22 10:20:02 UTC
	Kris Kennaway marked this port BROKEN due to checksum mismatch.
I've looked at the copy of ftp.freebsd.org and the copy on the master
site and diff'd the two.  The changes are small, it looks like they've
rerolled the master tarball.

    diff -ruN gkermit.old/ANNOUNCE gkermit.new/ANNOUNCE
    --- gkermit.old/ANNOUNCE	Mon Dec 27 21:22:24 1999
    +++ gkermit.new/ANNOUNCE	Sun Dec 26 20:28:38 1999
    @@ -103,30 +103,3 @@
     
     Release 1.00 25 Dec 99.
     ------------------------------
    -
    -Article: 10842 of comp.protocols.kermit.misc
    -From: fdc@watsun.cc.columbia.edu (Frank da Cruz)
    -Newsgroups: comp.protocols.kermit.misc
    -Subject: Announcing G-Kermit 1.00
    -Date: 27 Dec 1999 21:19:05 GMT
    -Organization: Columbia University
    -
    -G-Kermit 1.00 is released.  The web page is:
    -
    -  http://www.columbia.edu/kermit/gkermit.html
    -
    -For those who missed the Beta test, G-Kermit is small, fast, and
    -portable Kermit protocol implementation for UNIX released under
    -the GPL.
    -
    -Prebuilt binaries are available for over 40 hardware/OS/version
    -combinations:
    -
    -  http://www.columbia.edu/kermit/gkermit.html#down
    -
    -If you can send in binaries that are not listed, please let me
    -know.  After allowing a few days for more binaries to come in,
    -we'll make a wider announcement.
    -
    -- Frank
    -------------------------------
    diff -ruN gkermit.old/README gkermit.new/README
    --- gkermit.old/README	Mon Dec 27 22:01:13 1999
    +++ gkermit.new/README	Mon Dec 27 02:20:23 1999
    @@ -36,9 +36,6 @@
     University.  It is free software under the GNU Public License.  See the
     COPYING file for details.
     
    -  This software is OSI Certified Open Source Software.
    -  OSI Certified is a certification mark of the Open Source Initiative.
    -
     G-Kermit is:
      . Fast
      . Small
    @@ -1013,11 +1010,5 @@
       http://www.columbia.edu/kermit/    The Kermit Project website
       comp.protocols.kermit.misc         The unmoderated Kermit newsgroup
       kermit-support@columbia.edu        Technical support
    -
    -Also visit:
    -
    -  http://www.columbia.edu/kermit/gkermit.html
    -
    -for a more up-to-date version of this file, complete with download links.
     
     (End of G-Kermit README)
    diff -ruN gkermit.old/gkermit.h gkermit.new/gkermit.h
    --- gkermit.old/gkermit.h	Sun Dec 26 21:25:52 1999
    +++ gkermit.new/gkermit.h	Tue May 27 16:30:13 2003
    @@ -233,7 +233,11 @@
     
     /* Externs */
     
    +#ifdef ERRNO_H
    +#include <errno.h>
    +#else
     extern int errno;
    +#endif /* ERRNO_H */
     #ifndef _GKERMIT_C
     extern int debug;
     #endif /* _GKERMIT_C */

Fix: This patch updates the checksum to the latest tarball, removes
    BROKEN and also fetches the correct filename.
How-To-Repeat: 	n/a
Comment 1 Pav Lucistnik freebsd_committer 2004-02-23 19:24:22 UTC
State Changed
From-To: open->closed

Committed, thanks!